レンタルサーバー会社からのMySQLバージョンアップの回答。#wordpress

先ほどの記事でWordPressが2.9になったことで、MySQLのバージョンが古いので、レンタルサーバー会社にアップデートを依頼した件、早速回答がありました。珍しく回答が速い。

回答は予想通りアップデートしないとのこと。もし、新しいMySQLを使いたかったら別のサーバーに移ってくれとのこと。ただし、移行は自分で行えと。

でも、アップデートしないということは、既に4.0はサポートされてなかったはず。こんなことで大丈夫なのでしょうか? これが普通のサーバー会社の対応? まあ、バージョンアップしたときのリスクを負いたくないというのは当たり前の考えかもしれませんが、もし何か問題があったらどうするのでしょうか?